Package Details: uuid 1.6.2-12

Git Clone URL: https://aur.archlinux.org/uuid.git (read-only)
Package Base: uuid
Description: OSSP Universally Unique Identifier
Upstream URL: http://www.ossp.org/pkg/lib/uuid
Licenses: MIT
Submitter: ilpianista
Maintainer: Black_Codec
Last Packager: Black_Codec
Votes: 59
Popularity: 1.569595
First Submitted: 2012-12-08 17:37
Last Updated: 2015-07-09 10:52

Latest Comments

Black_Codec commented on 2016-06-25 12:07

@unixfox:
try to compile in a clean environment (search the aur wiki for compiling in a chroot environment), i try to compile it today and works fine.

unixfox commented on 2016-06-06 16:40

When I try to install UUID, I get this error:

>Only one of PREFIX or INSTALL_BASE can be given. Not both.
>Makefile:130 : the recipe for the target « perl/blib/lib/OSSP/uuid.pm » has failed
>make: *** [perl/blib/lib/OSSP/uuid.pm] Error 25

I don't know how to resolve it, does anyone has a fix ?

adminempire commented on 2015-11-09 08:33

uuid has been dead for a long time, and will only require more patching over time like any other dead source packages.

Black_Codec commented on 2015-11-09 08:07

@adinempire:
I think this should be write to developer forum and not here. I'm not the developer.

adminempire commented on 2015-11-08 19:06

This currently has an insecure RPATH. Have not had luck patching it to solve so far but should be made known. This was built and tested in a clean chroot and verified with namcap

uuid E: Insecure RPATH '/build/uuid/src/uuid-1.6.2/perl/../.libs' in file ('usr/lib/perl5/site_perl/auto/OSSP/uuid/uuid.so')

Black_Codec commented on 2015-10-28 18:06

@koven:
I try to build in a clean environment and it works.
Please verify that no other packages conflicts with it.
Also send me a mail with the output of pacman -Qm

@adminempire:
I'm sorry but i need this package for my other packages.

koven commented on 2015-10-26 22:09

I'm having problems with this package, I paste the output in pastebin, I really don't know what's going on.

http://pastebin.com/yX07FmmL

Thanks!

adminempire commented on 2015-08-15 18:53

guess I was not fast enough getting my packages to AUR4

Black_Codec commented on 2015-08-11 10:14

before flag this out of date you must try to compile in a chroot environment. It work correctly and the last version is 1.6.2

JohnnyDeacon commented on 2015-04-20 01:34

Lol, I can build pacmanager....

just two minutes ago I couldn't. . .

adminempire commented on 2015-04-20 01:32

I fixed nothing.

JohnnyDeacon commented on 2015-04-20 01:32

Thanks for the fix!

adminempire commented on 2015-04-20 01:26

Just tested on my box works perfectly fine for me

==> Retrieving sources...
-> Downloading uuid-1.6.2.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 387k 100 387k 0 0 156k 0 0:00:02 0:00:02 --:--:-- 156k
-> Found ossp.patch
==> Validating source files with sha512sums...

adminempire commented on 2015-04-20 01:25

OK thanks thats actually useful instead of making me guess that from flagging it out of date that you actually meant something totally different.

I will try and find another mirror and update

JohnnyDeacon commented on 2015-04-20 01:25

-> Downloading uuid-1.6.2.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0Warning: Transient problem: HTTP error Will retry in 3 seconds. 3 retries
Warning: left.
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0Warning: Transient problem: HTTP error Will retry in 3 seconds. 2 retries
Warning: left.
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0Warning: Transient problem: HTTP error Will retry in 3 seconds. 1 retries
Warning: left.
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0curl: (22) The requested URL returned error: 503 Service Unavailable
==> ERROR: Failure while downloading uuid-1.6.2.tar.gz
Aborting...
The build failed.

JohnnyDeacon commented on 2015-04-20 01:24

When I build pacmanager that needs uuid I get and 404 error. . .

adminempire commented on 2015-04-20 01:03

This is a dead project it can't be out of date. There has not been an update since 2008

codekoala commented on 2015-01-14 19:10

Found it. I had an environment variable set somehow that caused the badness.

PERL_MM_OPT=INSTALL_BASE=/home/me/perl5

Updating the build() function to use "PERL_MM_OPT= make" instead of just "make" did the trick for me, similar to Ba7a7chy's suggestion. Apparently something appended a bunch of perl-related environment variables to my .zshrc. Wish I knew which package or packages were responsible for that...

Would you consider updating the PKGBUILD to temporarily unset PERL_MM_OPT for other poor saps who had this happen without their knowledge?

adminempire commented on 2015-01-14 18:59

It honestly sounds like your guys boxes are busted in some manner. Cause it should reproduce in a clean chroot base-devel only chroot.. That is what I build all my pkgs in and test the builds with. Per Arch Docs.

codekoala commented on 2015-01-14 18:57

Interesting. I just built it without issue inside a fresh docker container. I'm trying to track down the differences between my main system and the container that could make something like this happen. Curious that it's happening for a handful of us.

Sorry for the noise.

adminempire commented on 2015-01-14 07:08

Again this is not out of date.

@Kubax
So building this as is in a clean chroot I do not see this issue when I stated I could not reproduce. I see nothing trying to set a path to INSTALL_BASE=/home/$user/Perl5 .. http://pastebin.com/vWfn1tnT

@codekoala your patch fails hard. http://pastebin.com/AvTX2URM

What am I missing is the problem you two are having. Because I can not produce a pkg where this happens? This builds the same and fine for me in chroots on ALARM and Arch Linux i686, x86_64 boxes

adminempire commented on 2015-01-14 07:07

Again this is not out of date.

@Kubax
So building this as is in a clean chroot I do not see this issue when I stated I could not reproduce. I see nothing trying to set a patch to INSTALL_BASE=/home/$user/Perl5 .. http://pastebin.com/vWfn1tnT

@codekoala your patch fails hard. http://pastebin.com/AvTX2URM

What am I missing is the problem you two are having. Because I can not produce a pkg where this happens? This builds the same and fine for me in chroots on ALARM and Arch Linux i686, x86_64 boxes

codekoala commented on 2015-01-14 00:29

Thanks @Kubax! Your suggestion helped me get this package building again. I've posted an updated patch with your PREFIX => INSTALL_BASE change at https://gist.github.com/codekoala/a0c586ef88767a7feecd

adminempire commented on 2014-11-27 17:53

will look at it after the Holiday traveling currently.

Kubax commented on 2014-11-27 10:44

Fixed it.

in Makefile line 130 PREFIX musst be changed with INSTALL_BASE.

uuid.patch:
---------------SNIP--------------------
*** uuid-1.6.2/Makefile.old 2014-11-27 11:32:27.811528250 +0100
--- uuid-1.6.2/Makefile 2014-11-27 11:32:41.084733213 +0100
***************
*** 127,133 ****
@$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $(PRG_NAME) $(PRG_OBJS) $(LIB_NAME) $(LIBS)

$(PERL_NAME): $(PERL_OBJS) $(LIB_NAME)
! @cd $(S)/perl && $(PERL) Makefile.PL PREFIX=$(prefix) COMPAT=$(WITH_PERL_COMPAT) && $(MAKE) $(MFLAGS) all
@touch $(PERL_NAME)

$(PHP_NAME): $(PHP_OBJS) $(LIB_NAME)
--- 127,133 ----
@$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $(PRG_NAME) $(PRG_OBJS) $(LIB_NAME) $(LIBS)

$(PERL_NAME): $(PERL_OBJS) $(LIB_NAME)
! @cd $(S)/perl && $(PERL) Makefile.PL INSTALL_BASE=$(prefix) COMPAT=$(WITH_PERL_COMPAT) && $(MAKE) $(MFLAGS) all
@touch $(PERL_NAME)

$(PHP_NAME): $(PHP_OBJS) $(LIB_NAME)
---------------SNIP--------------------

cause of this problem is that with "perl Makefile.PL PREFIX=...." tries to set both. INSTALL_BASE=/home/$user/Perl5 AND PREFIX=/usr. Default value for PREFIX is "PREFIX = $(INSTALL_BASE)" so when PREFIX is set manually, both are different.

vwyodajl commented on 2013-09-24 16:40

I can not reproduce this.

Rebuilding the package is working fine
......snip
warning: uuid-1.6.2-11 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Packages (1):

Name Old Version New Version Net Change

uuid 1.6.2-11 1.6.2-11 0.00 MiB

Total Installed Size: 0.19 MiB
Net Upgrade Size: 0.00 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring [----------------------] 100%
(1/1) checking package integrity [----------------------] 100%
(1/1) loading package files [----------------------] 100%
(1/1) checking for file conflicts [----------------------] 100%
(1/1) checking available disk space [----------------------] 100%
(1/1) reinstalling uuid [----------------------] 100%


Can you share more information so I can try and reproduce this.

Ba7a7chy commented on 2013-09-24 08:57

I got this issue when installing:

Checking if your kit is complete...
Looks good
Only one of PREFIX or INSTALL_BASE can be given. Not both.
make: *** [perl/blib/lib/OSSP/uuid.pm] Error 255
==> ERROR: A failure occurred in build().
Aborting...

Found a solution with this:
"unset PERL_MM_OPT"

brizou commented on 2013-09-24 08:56

same thing for me.

Ba7a7chy commented on 2013-09-24 08:43

I got this issue when installing:

Checking if your kit is complete...
Looks good
Only one of PREFIX or INSTALL_BASE can be given. Not both.
make: *** [perl/blib/lib/OSSP/uuid.pm] Error 255
==> ERROR: A failure occurred in build().
Aborting...

Found some info about it here:

http://git.661346.n2.nabble.com/PATCH-perl-Makefile-Unset-INSTALL-BASE-when-making-perl-mak-td5367737.html

Ba7a7chy commented on 2013-09-24 08:24

I got this issue when installing:

Checking if your kit is complete...
Looks good
Only one of PREFIX or INSTALL_BASE can be given. Not both.
make: *** [perl/blib/lib/OSSP/uuid.pm] Error 255
==> ERROR: A failure occurred in build().
Aborting...

vwyodajl commented on 2013-04-27 19:27

OK PKGBUILD updated with new mirror. No rev bump since that was the only change and no reason to make others rebuild this if its already installed.

Thanks for the heads up on the mirror change, this no longer gets updated so I forget to check once in awhile it still builds.

CaptainHook8 commented on 2013-04-27 10:36

FTP is down for me too.
Thanks @brizou, i used the mirror you suggested.

brizou commented on 2013-04-26 07:50

Seems the ftp is down for me,
had to use this mirror
http://www.mirrorservice.org/sites/ftp.ossp.org/pkg/lib/uuid/

vwyodajl commented on 2013-04-23 18:02

Then you need to take it up with Manjaro dev's or boards. I can not debug for a system that is not Arch Linux.

This is working perfectly fine in Arch, so look at your distro for why its not, I am sure they have forums that will be of help.

Sorry.

Anonymous comment on 2013-04-23 17:59

And if i dot with supress the line after ./configure

he do this http://pastebin.com/Ly2GCzQj it looks like installed but when i compile pacmanager and start it, he say no uuid.pm locate ;).

Anonymous comment on 2013-04-23 17:56

@vwyodajl

Oups i've just seen i forgot to mention it, but i'm on Manjaro, not Arch... Sorry, don't know if it's changing something for you. Sorry i'm new on this system. I was on debian/centos before first time i decide to come on arch structure.

So i was doing, yaourt -S uuid to install it. ( in brackets the translation in english of the french part ;) )
==> Téléchargement du PKGBUILD de uuid depuis AUR... (Download of the PKGBUILD of uuid from AUR)
x ossp.patch
x PKGBUILD

==> Éditer PKGBUILD ? [O/n] ("A" pour annuler) (If i want to edit or not the file)
==> ------------------------------------------
==> n

==> Dépendances de uuid : (Dependencies already installed)
- sh (déjà installé)


==> Lancer la compilation de uuid ? [O/n] (start the compilation of uuid)

So sometimes the problem is that the tar.gz seems offline from the ftp, i have to change the source and take this one for example (http://www.mirrorservice.org/sites/ftp.ossp.org/pkg/lib/uuid/uuid-1.6.2.tar.gz)

=> Récupération des sources... (Downloading of the source)
-> Téléchargement de uuid-1.6.2.tar.gz…
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 387k 100 387k 0 0 354k 0 0:00:01 0:00:01 --:--:-- 355k
-> ossp.patch trouvé
==> Validation des fichiers sources avec md5sums…
uuid-1.6.2.tar.gz ... Réussite
ossp.patch ... Réussite (Ok find it and check md5 OK)
==> Extraction des sources...
-> Extraction de uuid-1.6.2.tar.gz avec bsdtar (Extract OK)
==> Lancement de build() (Now start the building)

all the process was here => http://pastebin.com/mFxxPfMx

Don't know if you have any idea ?

vwyodajl commented on 2013-04-23 17:05

I can not reproduce this. Can you give me more information about the issue you are hitting please.

Thanks

vwyodajl commented on 2013-04-23 16:39

@Mawelou
Will look into it today. But both packages built fine for me just now. Also did you try building uuid on its own?

vwyodajl commented on 2013-04-23 16:37

@Mawelou
Will look into it today. But both packages built fine for me just now.

vwyodajl commented on 2013-04-23 16:31

@Mawelou
Will look into it today. But both packages built fine for me just now.

Anonymous comment on 2013-04-23 16:03

@vwyodajl did you have any idea what's wrong.

During install of pacmanager, i arrived to the install of uuid (last package) and i have this error

Only one of PREFIX or INSTALL_BASE can be given. Not both.
make: *** [perl/blib/lib/OSSP/uuid.pm] Erreur 255

If i change the line 35 in PKGBUILD and delete the end to only let ./configure
35 ./configure
It doing the install, but when i launch pac i have an error
pac
Can't locate OSSP/uuid.pm in @INC (@INC contains: /usr/share/pacmanager/lib /usr/share/pacmanager/lib/ex /usr/share/pacmanager/lib/edit /home/mpi/perl5/lib/perl5/x86_64-linux-thread-multi /home/mpi/perl5/lib/perl5 /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/share/pacmanager/lib/PACMain.pm line 39.
BEGIN failed--compilation aborted at /usr/share/pacmanager/lib/PACMain.pm line 39.
Compilation failed in require at /usr/bin/pac line 35.
BEGIN failed--compilation aborted at /usr/bin/pac line 35.

And of course no uuid.pm is find on the system. But if i try reinstall pacmanager, uuid appear like installed :).

jney commented on 2013-03-04 13:26

downloading vi

JohnnyDeacon commented on 2013-02-15 00:23

@vwyodajl Thanks to you for fix it! ;)

vwyodajl commented on 2013-02-14 23:55

Thanks for catching that, the old location seems no longer accessible. I have uploaded a new version which should solve the issue and get it back to building.

I DID NOT up the pkgrel, since those who have it built already do not need to rebuild as no other changes were made.

Thanks and comment if you have further issues.

JohnnyDeacon commented on 2013-02-14 21:50

I'm getting this error today:

Aur Targets (1): uuid

Proceed with installation? [Y/n] y
Edit uuid PKGBUILD with $EDITOR? [Y/n] n
==> Making package: uuid 1.6.2-11 (Thu Feb 14 16:49:07 COT 2013)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Downloading uuid-1.6.2.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- 0:00:03 --:--:-- 0Warning: Transient problem: timeout Will retry in 3 seconds. 3 retries left.
0 0 0 0 0 0 0 0 --:--:-- 0:00:02 --:--:-- 0Warning: Transient problem: timeout Will retry in 3 seconds. 2 retries left.
0 0 0 0 0 0 0 0 --:--:-- 0:00:03 --:--:-- 0Warning: Transient problem: timeout Will retry in 3 seconds. 1 retries left.
0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0curl: (6) Could not resolve host: (nil); Name or service not known
==> ERROR: Failure while downloading uuid-1.6.2.tar.gz
Aborting...

mrbit commented on 2012-12-10 19:53

ok, important is resolve

mrbit commented on 2012-12-10 19:38

ok, important and resolve ..

vwyodajl commented on 2012-12-10 19:32

@mrbit crap thanks I commented that out to test something else and forgot to uncomment. Thanks for the catch will push the change through :)

mrbit commented on 2012-12-10 19:30

solved with decomment #patch in PKGBUILD !!

vwyodajl commented on 2012-12-10 18:58

@mrbit sorry to say not sure at this point why that is coming up for you. It did not occur for me on any of the boxes I did the change from -9 to -10. Of course I have util-linux installed on the boxes as well.

mrbit commented on 2012-12-10 18:52

pacman -Ql util-linux :

util-linux /usr/lib/libblkid.a
util-linux /usr/lib/libblkid.so
util-linux /usr/lib/libblkid.so.1
util-linux /usr/lib/libblkid.so.1.1.0
util-linux /usr/lib/libmount.a
util-linux /usr/lib/libmount.so
util-linux /usr/lib/libmount.so.1
util-linux /usr/lib/libmount.so.1.1.0
util-linux /usr/lib/libuuid.a
util-linux /usr/lib/libuuid.so
util-linux /usr/lib/libuuid.so.1
util-linux /usr/lib/libuuid.so.1.3.0
util-linux /usr/lib/pkgconfig/

vwyodajl commented on 2012-12-10 18:49

@mrbit I do not know why there would be a conflict with util-linux. Is there more of an error message? util-linux does not even seem to require anything relating to uuid (could be wrong) but not sure how uuid conflicts with util-linux.

vwyodajl commented on 2012-12-10 18:46

Hmm I will dig into this more then and see if I can work up a better solution.

As a temp workaround if you need to use this package, just remove the package, then remove each of those files then reinstall uuid and it should all go fine again. I just hit this on a test box as well. Sorry for the temporary hassle

mrbit commented on 2012-12-10 18:45

pacman -Rdd uuid && packer -S uuid

idem, no install for conflict with util-linux 2.22.1-3 ????

vwyodajl commented on 2012-12-10 18:34

Hmm I will dig into this more then and see if I can work up a better solution.

As a temp workaround if you need to use this package, just remove the package, then remove each of those files then reinstall uuid and it should all go fine again. I just hit this on a test box as well. Sorry for the temporary hassle

richli commented on 2012-12-10 18:30

I had the same error as mrbit. I used "pacman -Rdd uuid" as vwyodajl suggested and tried reinstalling it. Still didn't work. Here's more of the error output:

error: failed to commit transaction (conflicting files)
uuid: /usr/lib/libuuid.a exists in filesystem
uuid: /usr/lib/libuuid.so exists in filesystem
uuid: /usr/lib/pkgconfig/uuid.pc exists in filesystem
uuid: /usr/share/man/man3/uuid.3.gz exists in filesystem
Errors occurred, no packages were upgraded.

vwyodajl commented on 2012-12-10 17:41

pacman -Rdd uuid && packer -S uuid. For some reason i had to do the same with mine when I added back in the perl parts to the build. Just quick uninstall then reinstall and all should be kosher for you again. Was weird I had three boxes that did not complain and 1 that did just like that.

Let me know if that does not work for you and I will dig deeper.

mrbit commented on 2012-12-10 10:33

uuid: /usr/lib/libuuid.a already exists in the filesystem

conflict with util-linux ??